postgis

pdk
Puppet module for managing postgresql and postgis

Manaaki Whenua

landcareresearch

10,147 downloads

1,139 latest version

4.8 quality score

Version information

  • 0.3.5 (latest)
  • 0.3.1
  • 0.2.5
  • 0.2.4
  • 0.2.3
  • 0.1.7
  • 0.1.4
  • 0.1.3
released Nov 7th 2019
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 4.0.0 < 7.0.0
  • Ubuntu

Start using this module

Documentation

landcareresearch/postgis — version 0.3.5 Nov 7th 2019

postgis

Puppet Forge Bitbucket Build Status

About

Installs and configures a postgresql database with the PostGIS extension installed. Note, this module uses the puppetlabs/postgresql puppet module. It also uses the ppa:ubuntugis to install postgis.

See REFERENCE.md for documentation.

Limitations

Works with debian and redhat based OS's.

Development

The module is open source and available on bitbucket. Please fork!